pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT > Class Template Reference
Module visualization

Surface normal handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >:

## Public Types

typedef PointCloudGeometryHandler< PointT >::PointCloud | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandlerSurfaceNormal< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandlerSurfaceNormal< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudGeometryHandlerSurfaceNormal (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual std::string | getName () const
| Class getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format. More...
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
bool | isCapable () const
| Checl if this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >

Surface normal handler class for PointCloud geometry.

Given an input dataset, all data present in fields "normal_x", "normal_y", and "normal_z" is extracted and dislayed on screen as XYZ data.

Author
  Radu B. Rusu

Definition at line 187 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

typedef boost::shared_ptr<const PointCloudGeometryHandlerSurfaceNormal<PointT> > pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::ConstPtr

Definition at line 195 of file point_cloud_geometry_handlers.h.

## PointCloud

template<typename PointT >

typedef PointCloudGeometryHandler<PointT>::PointCloud pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloud

Definition at line 190 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

template<typename PointT >

typedef PointCloud::ConstPtr pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudConstPtr

Definition at line 192 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

template<typename PointT >

typedef PointCloud::Ptr pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudPtr

Definition at line 191 of file point_cloud_geometry_handlers.h.

## Ptr

template<typename PointT >

typedef boost::shared_ptr<PointCloudGeometryHandlerSurfaceNormal<PointT> > pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::Ptr

Definition at line 194 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerSurfaceNormal()

template<typename PointT >

pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

Definition at line 114 of file point_cloud_geometry_handlers.hpp.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::fields_, and pcl::getFieldIndex().

## Member Function Documentation

## getFieldName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 206 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::getGeometry().

## getGeometry()

template<typename PointT >

void pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 131 of file point_cloud_geometry_handlers.hpp.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, and pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_.

## getName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 202 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/point_cloud_geometry_handlers.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/impl/point_cloud_geometry_handlers.hpp